%if 0%{?el7}
%define dist .el7
%endif

%{!?_httpd_confdir: %{expand: %%global _httpd_confdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.modules.d}}
%{!?_httpd_moddir: %{expand: %%global _httpd_moddir %{_libdir}/httpd/modules}}

Name:		mod_amf
Version:	1.2.4
Release:	2%{?dist}
Summary:	Apache Mobile Filter

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://www.apachemobilefilter.org
Source0:	http://sourceforge.net/projects/mobilefilter/files/%{name}/%{name}.%{version}.tar.gz
Source1:    %{name}.conf
Source2:    10-%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: httpd-devel
Requires: httpd-mmn = %{_httpd_mmn}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
%{summary}.

%prep
%setup -q -c

%build
apxs -ca %{name}.c

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_httpd_confdir}
mkdir -p $RPM_BUILD_ROOT%{_httpd_moddir}
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
mkdir -p $RPM_BUILD_ROOT%{_httpd_modconfdir}
rm -f $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_httpd_modconfdir}/10-%{name}.conf
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > %{name}.conf.tmp
install -D -m0644 %{name}.conf.tmp $RPM_BUILD_ROOT%{_httpd_confdir}/%{name}.conf
%endif
install -D -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_httpd_moddir}/%{name}.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGE README
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%config %{_httpd_modconfdir}/10-%{name}.conf
%endif
%config(noreplace) %{_httpd_confdir}/%{name}.conf
%{_httpd_moddir}/%{name}.so*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.2.4-2
- Update dist for centos7

* Fri Aug 28 2015 momo-i <webmaster@momo-i.org> - 1.2.4-1
- Update to 1.2.4

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.0.1-3
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.0.1-2
- Rebuilt for fc22

* Mon Mar 10 2014 momo-i <webmaster@momo-i.org> - 1.0.1-1
- Initial rpm release.
